interaction_rename = {
    "11": "m_military",
    "12": "m_rebels",
    "13": "m_p_militias",
    "14": "m_c_militias",
    "15": "m_rioters",
    "16": "m_protesters",
    "17": "m_civilians",
    "18": "m_others",
    "22": "r_rebels",
    "23": "r_p_militias",
    "24": "r_c_militias",
    "27": "r_civilians",
    "28": "r_others",
    "33": "pm_p_militias",
    "34": "pm_c_militias",
    "35": "pm_rioters",
    "36": "pm_protesters",
    "37": "pm_civilians",
    "38": "pm_others",
    "44": "cm_c_militias",
    "47": "cm_civilians",
    "48": "cm_others",
    "55": "rt_rioters",
    "57": "rt_civilians",
    "58": "rt_others",
    "78": "o_civilians",
    "88": "o_others",
    "10": "s_military",
    "20": "s_rebels",
    "30": "s_p_militias",
    "50": "s_rioters",
    "60": "s_protesters",
    "70": "s_civilians",
    "80": "s_others",
}

e_types_rename = {
    "Battles": "battles",
    "Explosions/Remote violence": "remote_violence",
    "Protests": "protests",
    "Riots": "riots",
    "Violence against civilians": "violence",
    "Strategic developments": "sd",
}


acters_rename = {
    "1": "actor_gf",
    "2": "actor_rf",
    "3": "actor_pm",
    "4": "actor_cm",
    "5": "actor_r",
    "6": "actor_p",
    "7": "actor_c",
    "8": "actor_o",
}

admin_names = {
    "admin1": {
        "Gambela Peoples": "Gambela",
        "Harari People": "Harari",
        "Benishangul Gumuz": "Benshangul Gumuz",
        "Southern Nations": "SNNPR",
        "Gambella": "Gambela",
    },
    "admin2": {
        "Agnuak": "Agniwak",
        "Silti": "Silltie",
        "Wag Hemira": "Wag Himra",
        "Horo Gudru Welega": "Horo Guduru",
        "Kamashi": "Kemashi",
        "Eastern Tigray": "East Tigray",
        "Western Tigray": "West Tigray",
        "Shabelle": "Shebelle",
        "East Harerghe": "East Hararge",
        "West Harerghe": "West Hararge",
        "Guji": "Gujii",
        "Southern Tigray": "South Tigray",
        "North Shewa (Oromia)": "North Shewa",
        "Oromia Zone": "Oromia",
        "Oromia-Finfinne": "Oromia",
        "North Shewa (Amhara)": "North Shewa",
        "South Gonder": "South Gondar",
        "Illubabor": "Ilubabor",
        "Debub Omo": "South Omo",
        "Addis Ababa": "Region 14",
        "Zone 1": "Awusi",
        "Zone 2": "Kilbati",
        "Zone 3": "Gabi",
        "Zone 4": "Fanti",
        "Zone 5": "Khari",
        "Hundene": "Harari",
        "Bar Dar Sp. Zone": "Awi",
    },
}

religion_cols = [
    ("orthodox_t", "Orthodox_Percentage"),
    ("muslim_t", "Muslim_Percentage"),
    ("protestant_t", "Protestant_Percentage"),
    ("catholic_t", "Catholic_Percentage"),
    ("tradionalist_t", "Tradionalist_Percentage"),
    ("other_t", "Other_religions_Percentage"),
]

ethnic_cols = [
    ("oromo_t", "Oromia_Percentage"),
    ("amhara_t", "Amhara_Percentage"),
    ("somali_t", "Somalia_Percentage"),
    ("tigre_t", "Tigray_Percentage"),
    ("sidama_t", "Sidama_Percentage"),
    ("other_ethinicity_t", "Other Ethnicity_Percentage"),
]

land_cover_cols = [
    ("shrub_t", "Shrubland"),
    ("grassland_t", "Grassland"),
    ("cropland_rainfed_t", "Cropland, rainfed"),
    ("corpland_irrigated_t", "Cropland, irrigated"),
    ("cropland_fallow_t", "Cropland, fallow"),
    ("built-up_areas_t", "Built-up areas"),
    ("bare_vegetation_t", "Bare vegetation"),
    ("water_bodies_t", "Water bodies"),
    ("shrub_or_herbaceous_cover_flooded_t", "Shrub or herbaceous cover, flooded"),
    (
        "Tree cover: closed, evergreen needle-leaved_t",
        "Tree cover: closed, evergreen needle-leaved",
    ),
    (
        "Tree cover: closed, evergreen broadleaved_t",
        "Tree cover: closed, evergreen broadleaved",
    ),
    (
        "Tree cover: closed, deciduous broadleaved_t",
        "Tree cover: closed, deciduous broadleaved",
    ),
    ("Tree cover: closed, mixed type_t", "Tree cover: closed, mixed type"),
    ("Tree cover: closed, unknown type_t", "Tree cover: closed, unknown type"),
    (
        "Tree cover: open, evergreen needle-leaved_t",
        "Tree cover: open, evergreen needle-leaved",
    ),
    (
        "Tree cover: open, evergreen broadleaved_t",
        "Tree cover: open, evergreen broadleaved",
    ),
    (
        "Tree cover: open, deciduous broadleaved_t",
        "Tree cover: open, deciduous broadleaved",
    ),
    ("Tree cover: open, unknown type_t", "Tree cover: open, unknown type"),
    ("no data_t", "no data"),
]


impute_list = [
    "TOT_POP",
    "latitude",
    "longitude",
    "religion_d",
    "eth_d",
    "AGE_10-19 Percentage",
    "AGE_20-29 Percentage",
    "Radio_Percentage",
    "Phone_Percentage",
    "Television_Percentage",
    "TOT_LIT_Percentage",
    "lc",
    "mean_rf",
]
